---
title: SourceBuffer.timestampOffset
slug: Web/API/SourceBuffer/timestampOffset
tags:
  - API
  - Audio
  - Experimental
  - MSE
  - Media Source Extensions
  - Property
  - Reference
  - SourceBuffer
  - Video
  - timestampOffset
---
<div>{{APIRef("Media Source Extensions")}}{{SeeCompatTable}}{{draft}}</div>

<p>The <code><strong>timestampOffset</strong></code> property of the {{domxref("SourceBuffer")}} interface controls the offset applied to timestamps inside media segments that are appended to the <code>SourceBuffer</code>.</p>

<p>The initial value of <code>timestampOffset</code> is 0.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>myOffset</em> = <em>sourceBuffer</em>.timestampOffset;

<em>sourceBuffer</em>.timestampOffset = 2.5;
</pre>

<h3 id="Value">Value</h3>

<p>A double, with the offset amount expressed in seconds.</p>

<h3 id="Exceptions">Exceptions</h3>

<p>The following exceptions may be thrown when setting a new value for this property.</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Exception</th>
   <th scope="col">Explanation</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>InvalidStateError</code></td>
   <td>One or more of the {{domxref("SourceBuffer")}} objects in {{domxref("MediaSource.sourceBuffers")}} are being updated (i.e. their {{domxref("SourceBuffer.updating")}} property is currently <code>true</code>), a media segment inside the <code>SourceBuffer</code> is currently being parsed, or this <code>SourceBuffer</code> has been removed from the {{domxref("MediaSource")}}.</td>
  </tr>
 </tbody>
</table>

<h2 id="Example">Example</h2>

<p>TBD</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Source Extensions', '#idl-def-sourcebuffer-timestampoffset', 'timestampOffset')}}</td>
   <td>{{Spec2('Media Source Extensions')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.SourceBuffer.timestampOffset")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("MediaSource")}}</li>
 <li>{{domxref("SourceBufferList")}}</li>
</ul>
